Subject: Defective Product - Order # 111-3733544-0092264
From: Lori Gallenberger <[email-masked]>
To: info <[email-masked]>
Date: Mon, 3 Mar 2025 20:29:53 +0000

I ordered this product in January and it was received with the crease along the bottom.  I put it on the bed hopping it would come out.  As of today it has not yet come out and I even tried steaming it.  It almost feels like there is
a cord of some sort running through it.  I spoke with Amazon and they noted the issue and advised me to contract you directly for an extended warranty.

Thanks,

Lori

Sent from my iPad